# Update a business profile (V2) (deprecated)

This endpoint is deprecated. See [Migrating to industry categories](/guides/product/kyc/migrate-business-profile-industry-categories) for the current update business profile endpoint and migration steps.
Update user profile information for a business profile.
If user profile has been verified then there are restrictions on what information is allowed to change.
Where permitted, use the update window functionality by [opening the update window](/api-reference/legacy/profile/profileupdatewindowopen), submitting the updated information using this endpoint, and finally [closing the update window](/api-reference/legacy/profile/profileupdatewindowclose).
See [Business Categories](/guides/product/kyc/business-categories) for the list of valid `firstLevelCategory` and `secondLevelCategory` values.

Endpoint: PUT /v2/profiles/{profileId}/business-profile
Security: UserToken, PersonalToken

## Path parameters:

  - `profileId` (integer, required)
    Business profile ID.

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Request fields (application/json):

  - `id` (integer)
    Business profile ID. This must match the business profile ID supplied in the URL.
    Example: 14599371

  - `businessName` (string)
    Business name.
    Example: ABC Logistics Ltd

  - `businessNameInKatakana` (string | null)
    Business name in Katakana (only for Japanese businesses).
    Example: null

  - `businessFreeFormDescription` (string)
    Business free form description.
    Example: Biz free form desc

  - `registrationNumber` (string)
    Business registration number.
    Example: 12144939

  - `acn` (string | null)
    Australian Company Number (only for Australian businesses).
    Example: null

  - `abn` (string | null)
    Australian Business Number (only for Australian businesses).
    Example: null

  - `arbn` (string | null)
    Australian Registered Body Number (only for Australian businesses).
    Example: null

  - `companyType` (string)
    Company legal form.
    Enum: "LIMITED", "PARTNERSHIP", "SOLE_TRADER", "LIMITED_BY_GUARANTEE", "LIMITED_LIABILITY_COMPANY", "FOR_PROFIT_CORPORATION", "NON_PROFIT_CORPORATION", "LIMITED_PARTNERSHIP", "LIMITED_LIABILITY_PARTNERSHIP", "GENERAL_PARTNERSHIP", "SOLE_PROPRIETORSHIP", "PRIVATE_LIMITED_COMPANY", "PUBLIC_LIMITED_COMPANY", "TRUST", "OTHER"

  - `address` (object)

  - `address.addressFirstLine` (string)
    First line of address.
    Example: 1 A road

  - `address.city` (string)
    City.
    Example: London

  - `address.countryIso2Code` (string)
    2 letter country code.
    Example: gb

  - `address.countryIso3Code` (string)
    3 letter country code. Must be lowercase.
    Example: gbr

  - `address.postCode` (string)
    Postal code.
    Example: 11111

  - `address.stateCode` (string)
    State code.

  - `companyRole` (string)
    Role of person.
    Enum: "OWNER", "DIRECTOR", "OTHER"

  - `externalCustomerId` (string)
    An external reference identifier mapping the customer of this profile to your system.
    Example: 67890-biz-acct

  - `firstLevelCategory` (string)
    Legacy primary [business category](/guides/product/kyc/business-categories). New integrations should use `industryCategories`. See [Migrating to industry categories](/guides/product/kyc/migrate-business-profile-industry-categories).
    Example: CONSULTING_IT_BUSINESS_SERVICES

  - `secondLevelCategory` (string)
    Legacy secondary [business category](/guides/product/kyc/business-categories). New integrations should use `industryCategories`. See [Migrating to industry categories](/guides/product/kyc/migrate-business-profile-industry-categories).
    Example: DESIGN

  - `operationalAddresses` (array)
    List of operational addresses.

  - `operationalAddresses.addressFirstLine` (string)
    Example: 1 A road

  - `operationalAddresses.city` (string)
    Example: London

  - `operationalAddresses.countryIso2Code` (string)
    Example: gb

  - `operationalAddresses.countryIso3Code` (string)
    Example: gbr

  - `operationalAddresses.postCode` (string)
    Example: 11111

  - `operationalAddresses.stateCode` (string)

  - `webpage` (string)
    Business webpage. Required if `companyType` is `OTHER`. If this is not provided for an `OTHER` companyType, the profile should not be allowed to create a transfer.
For the rest of the companyTypes, it is highly recommended to always provide the business' website, to avoid payment issues such as suspensions. Wise will send a request for information (RFI) if this detail is not provided.
    Example: https://abc-logistics.com

